package com.ghy.order.mapper;

import com.ghy.order.domain.OrderGoods;

import java.util.List;

/**
 * 订单商品
 *
 * @author HH 2022/5/17
 */
public interface OrderGoodsMapper {

    /**
     * @param orderGoods 订单商品属性
     */
    int insertOrderGoods(OrderGoods orderGoods);

    /**
     * @param orderGoods 订单商品属性
     */
    int updateOrderGoods(OrderGoods orderGoods);

    /**
     * @param orderGoods 订单商品入参
     */
    List<OrderGoods> selectOrderGoodsList(OrderGoods orderGoods);

    /**
     * @param orderGoodsId 订单商品id
     * @return 订单商品
     */
    OrderGoods selectById(Long orderGoodsId);

    /**
     * 批量删除订单商品信息
     *
     * @param orderGoodsIds 需要删除的数据ID
     */
    int deleteOrderGoodsByIds(Long[] orderGoodsIds);

}
